package com.zulutrade.sample.binaryoptions.trading.client.trading.dto;

import com.fasterxml.jackson.annotation.JsonAutoDetect;

/**
 * TradingError, contains the errorId and the errorMessage
 *
 * @author ZuluTrade
 * @version 1.0
 * @since 2015-06-15
 */
@JsonAutoDetect
public class TradingError {

	int errorCode; 
	String errorMessage;
	
	public TradingError() {}
	
	public TradingError(int errorCode, String errorMessage) {
		this.errorCode = errorCode;
		this.errorMessage = errorMessage;
	}

	public int getErrorCode() {
		return errorCode;
	}

	public void setErrorCode(int errorCode) {
		this.errorCode = errorCode;
	}

	public String getErrorMessage() {
		return errorMessage;
	}

	public void setErrorMessage(String errorMessage) {
		this.errorMessage = errorMessage;
	}

	@Override
	public String toString() {
		return "TradingError [errorCode=" + errorCode + ", "
				+ "errorMessage=" + errorMessage + "]";
	}
	
}
